Loading...
Searching...
No Matches
parent.h File Reference

Parent C interface. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
Include dependency graph for parent.h:

Go to the source code of this file.

## Functions

L4_BEGIN_DECLS long | l4re_parent_signal (l4_cap_idx_t parent, unsigned long sig, unsigned long val)
| Send a signal using the parent protocol.

## Detailed Description

Parent C interface.

Definition in file parent.h.

## Function Documentation

## l4re_parent_signal()

L4_BEGIN_DECLS long l4re_parent_signal | ( | l4_cap_idx_t | parent,
|  | unsigned long | sig,
|  | unsigned long | val )

Send a signal using the parent protocol.

Parameters

  parent | Capability index of parent to send signal to.
  sig | Signal to send
  val | Value of the signal

Return values

  0 | Success
  <0 | IPC error

See also
  L4Re::Parent::signal

References L4_END_DECLS.